package com.adealink.weparty.im.constant

import com.adealink.frame.aab.util.getCompatString
import com.adealink.frame.base.IError
import com.adealink.weparty.im.R
import com.adealink.weparty.R as APP_R

const val IM_IN_BLACKLIST = 120001 //对方把你拉黑

const val IM_USER_NOT_FIND = 120002 //用户不存在

const val IM_USER_CHAT_LIMIT = 120003 //私信限制


/**
 * http状态码不是成功状态错误
 */
class InBlackError(override val msg: String = getCompatString(R.string.im_send_msg_error_in_black_msg)) :
    IError(serverCode = IM_IN_BLACKLIST)

/**
 * http状态码不是成功状态错误
 */
class UserNotFindError(override val msg: String = getCompatString(R.string.im_send_msg_error_user_not_find)) :
    IError(serverCode = IM_USER_NOT_FIND)


/**
 * 私聊限制
 */
class ChatLimitError(override val msg: String = getCompatString(APP_R.string.playmate_user_push_chat_limit)) :
    IError(serverCode = IM_USER_CHAT_LIMIT)